#pragma interface
#ifndef TLMPDOC_H
#define TLMPDOC_H

#define _TLMP_page

struct _F_page{
	class _F_page_private *priv;
	#define _F_page_desc(nom) void nom desc()
	virtual _F_page_desc( )=0;
	#define _F_page_image(nom) void nom image()
	virtual _F_page_image( )=0;
};

#define _TLMP_paragraph

struct _F_paragraph{
	class _F_paragraph_private *priv;
	#define _F_paragraph_body(nom) void nom body()
	virtual _F_paragraph_body( )=0;
};


#define _TLMP_section

struct _F_section{
	class _F_section_private *priv;
	#define _F_section_body(nom) void nom body()
	virtual _F_section_body( )=0;
};

#define _TLMP_sample

struct _F_sample{
	class _F_sample_private *priv;
	void fputs (const char *s, FILE *out);
	#define _F_sample_body(nom) void nom body()
	virtual _F_sample_body( )=0;
};

#define _TLMP_document

struct _F_document{
	class _F_document_private *priv;
	#define _F_document_abstract(nom) void nom abstract()
	virtual _F_document_abstract( )=0;
	#define _F_document_body(nom) void nom body()
	virtual _F_document_body( )=0;
};

#include "tlmpdoc.p"

#endif

